Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593349 - yum-3.2.22-26.el5 install obsoleted pkg. makes the install be of the wrong arch
Summary: yum-3.2.22-26.el5 install obsoleted pkg. makes the install be of the wrong arch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum
Version: 5.5
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 593522
TreeView+ depends on / blocked
 
Reported: 2010-05-18 15:17 UTC by arth
Modified: 2014-01-21 06:18 UTC (History)
2 users (show)

Fixed In Version: yum-3.2.22-29.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 593522 (view as bug list)
Environment:
Last Closed: 2011-01-13 22:12:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0136 normal SHIPPED_LIVE yum bug fix update 2011-01-12 19:26:43 UTC

Description arth 2010-05-18 15:17:29 UTC
Description of problem:

# yum install libgfortran43.x86_64
Loaded plugins: changelog, rhnplugin, security
Setting up Install Process
Package libgfortran43 is obsoleted by libgfortran44, trying to install libgfortran44-4.4.0-6.el5.i386 instead
Resolving Dependencies
--> Running transaction check
---> Package libgfortran44.i386 0:4.4.0-6.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package            Arch      Version           Repository                 Size
================================================================================
Installing:
 libgfortran44      i386      4.4.0-6.el5       rhel-x86_64-server-5      247 k

Transaction Summary
================================================================================
Install       1 Package(s)
Upgrade       0 Package(s)


The result is that instead of getting the newer version for .x86_64, you get the newer version for i386.  Yum should have selected libgfortran44.x86_64 here, not only because the user explicitly specified .x86_64, but because the system is native x86_64.

Comment 1 seth vidal 2010-05-18 15:20:15 UTC
can you run:

yum list libgfortran\*

and paste the output.

Comment 2 arth 2010-05-18 17:17:36 UTC
The system in question has already got the problem fixed by explicitly installing libgfortran44.x86_64, so "yum list" won't be representative.
But from a different system where nothing has been done yet, it's replicable:

# yum list 'libgfortran*'
Installed Packages
libgfortran.x86_64                4.1.2-48.el5              installed           
Available Packages
libgfortran.i386                  4.1.2-48.el5              rhel-x86_64-server-5
libgfortran43.i386                4.3.2-7.el5               rhel-x86_64-server-5
libgfortran43.x86_64              4.3.2-7.el5               rhel-x86_64-server-5
libgfortran44.i386                4.4.0-6.el5               rhel-x86_64-server-5
libgfortran44.x86_64              4.4.0-6.el5               rhel-x86_64-server-5
# yum install libgfortran43.x86_64
Loaded plugins: changelog, rhnplugin, security
Setting up Install Process
Package libgfortran43 is obsoleted by libgfortran44, trying to install libgfortran44-4.4.0-6.el5.i386 instead
Resolving Dependencies
--> Running transaction check
---> Package libgfortran44.i386 0:4.4.0-6.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package            Arch      Version           Repository                 Size
================================================================================
Installing:
 libgfortran44      i386      4.4.0-6.el5       rhel-x86_64-server-5      247 k

Transaction Summary
================================================================================
Install       1 Package(s)
Upgrade       0 Package(s)

Total download size: 247 k
Is this ok [y/N]: n
Exiting on user Command
Complete!

Comment 3 seth vidal 2010-05-18 17:21:11 UTC
Can you run the following command:

repoquery -q --obsoletes libgfortran44.x86_64
repoquery -q --obsoletes libgfortran44.i386

Comment 4 arth 2010-05-18 17:43:17 UTC
[root@gvrsimeng01 sbin]# repoquery -q --obsoletes libgfortran44.x86_64
[root@gvrsimeng01 sbin]# repoquery -q --obsoletes libgfortran44.i386  
[root@gvrsimeng01 sbin]# repoquery -q --obsoletes libgfortran43.x86_64
[root@gvrsimeng01 sbin]# repoquery -q --obsoletes libgfortran43.i386  
[root@gvrsimeng01 sbin]#

Comment 5 seth vidal 2010-05-18 17:59:03 UTC
right -sorry run:

repoquery --plugins -q --obsoletes libgfortran.x86_64

Comment 6 arth 2010-05-18 19:12:53 UTC
[root@gvrsimeng01 sbin]# repoquery --plugins -q --obsoletes libgfortran.x86_64
libf2c

But presuming  you meant libgfortran44.x86_64:
[root@gvrsimeng01 sbin]# repoquery --plugins -q --obsoletes libgfortran44.x86_64 

libgfortran43

Comment 7 James Antill 2010-05-18 19:38:02 UTC
Ok, I have an upstream testcase for this.

Comment 8 James Antill 2010-05-18 21:32:27 UTC
We have upstream fixes now, both for this case and for if libgfortran33 was noarch.

I've marked this BZ to be considered for 5.6.

Comment 9 James Antill 2010-05-19 03:36:46 UTC
 Now pushed, two commits are the testcases the other two the fixes:

commit 9a2fa66d899c8c2cd0a91d7dfc61a26cd01bc382
Author: James Antill <james@and.org>
Date:   Tue May 18 16:54:32 2010 -0400

    Fix obsoleting pkgs. from <install norach> to multilib. using archdistance

commit 594a58bb622bc171782e9d0ec2943070507a6c79
Author: James Antill <james@and.org>
Date:   Tue May 18 16:54:08 2010 -0400

    Now do the same testcase for noarch => multilib

commit 0408550d397b266840eb84e1c856ed8830586952
Author: James Antill <james@and.org>
Date:   Tue May 18 16:17:18 2010 -0400

    Fix for obsoleting pkgs. we are trying to install

commit bbddbbfc24156b17f263c4efea8ffece5595b1a6
Author: James Antill <james@and.org>
Date:   Tue May 18 15:19:54 2010 -0400

    Add testcase for obsoletes of to be installed pkgs. -- 593349

Comment 11 Fedora Update System 2010-08-05 23:45:33 UTC
yum-3.2.28-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 errata-xmlrpc 2011-01-13 22:12:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0136.html


Note You need to log in before you can comment on or make changes to this bug.